%define upstream_name    HTML-EasyTags
%define upstream_version 1.071

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Make well-formed XHTML or HTML 4 tags, lists
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/HTML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch: noarch

%description
This Perl 5 object class can be used to generate any well-formed XHTML or
HTML tags in a format that is consistent with the W3C XHTML 1.0 or HTML
4.01 standards. See *http://www.w3.org/TR/xhtml1* and
*http://www.w3c.org/MarkUp* for references. There are no restrictions on
what tags are named, however; you can ask for any new or unsupported tag
that comes along from Netscape or Microsoft, and it will be made.
Additionally, you can generate lists of said tags with one method call, or
just parts of said tags (but not both at once).

This module's purpose is to be lightweight, easy to use, and whose results
are well-formed and pretty-printed (should humans wish to read or debug
it). At the same time, it is supportive of your existing knowledge of HTML
and as such its interface closely mirrors the actual appearance of the
resulting tags. This means that methods have the same name as the actual
tags, and named parameters that you pass correspond directly to the tag
attributes produced. This module saves you having to remember the little
details on formatting. For your convenience, a majority of the methods and
their arguments are backwards-compatible with those in CGI.pm, but you are
saved 200K of code size.

As a reference, I strongly recommend that you check out *Kevin Werbach's*
excellent "The Bare Bones Guide to HTML", which is available at
*http://werbach.com/barebones/*. I found this document invaluable when
making this module, as it provides a comprehensive list of all the HTML
tags along with their formatting and extensions.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make


%install
%makeinstall_std

%files
%doc ChangeLog
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Wed Jul 12 2017 bb2 <bb2> - 1.71.0-5pclos2017
- rebuild against updates

